
Foreman - Bug #8334

searching users with "organization_id != 14" will match users that belong to org 14 _and_ another

11/10/2014 06:53 AM - Shlomi Zadok

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1139419 Red Hat JIRA:  

Pull request:    

Description

<< Accidentally deleted the original issue #7383. >>

latest cached at: http://webcache.googleusercontent.com/search?q=cache:http://projects.theforeman.org/issues/7383

If a user, or presumably other objects, belong to more than one organzation, or presumably the same for locations, then searching is

not possible through neither UI nor API. Searching for "organization_id != 14" should match users that are not part of that

organization.

To reproduce: Add a user to two organizations, then search by != to one of the org ids.

History

#1 - 11/10/2014 06:55 AM - Shlomi Zadok

- Bugzilla link set to 1139419

#2 - 02/11/2016 09:33 AM - Bryan Kearney

- Category changed from Search to Organizations and Locations

#3 - 08/17/2016 07:32 AM - Shlomi Zadok

- Assignee deleted (Shlomi Zadok)
